## kismet 2023.07.R1

=== debian/changelog ===
kismet (2023.07.R1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:55:25 +0200

kismet (2023.07.R1-0kali2) kali-dev; urgency=medium

  * Add missing python3-websockets dependency.

 -- Steev Klimaszewski <steev@kali.org>  Thu, 10 Aug 2023 11:12:35 -0500

kismet (2023.07.R1-0kali1) kali-dev; urgency=medium

  * New upstream version 2023.07.R1
  * Refresh patches and add new capture package.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Aug 2023 13:06:48 -0500

kismet (2022.08.R1-0kali3) kali-dev; urgency=medium

  * Add adduser dependency to capture packages that use
    it in their postrm.
  * Use groupdel not delgroup.
  * Update lintian overrides.
  * Run wrap-and-sort and update dependencies.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 21 Apr 2023 22:01:30 -0500

kismet (2022.08.R1-0kali2) kali-dev; urgency=medium

  * Fix installation of python modules

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Dec 2022 16:04:36 +0100

kismet (2022.08.R1-0kali1) kali-dev; urgency=medium

  * New upstream version 2022.08.R1
  * Refresh patches
  * Update lintian-overrides
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Sep 2022 13:41:07 +0200

kismet (2022.02.R1-0kali1) kali-dev; urgency=medium

  * New upstream version 2022.02.R1
  * Update debian/rules for new release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Feb 2022 14:15:03 +0100

kismet (2022.01.R3a-0kali1) kali-dev; urgency=medium

  * New upstream version 2022.01.R3a

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Jan 2022 13:51:02 +0100

kismet (2022.01.R2-0kali3) kali-dev; urgency=medium

  * Add -latomic to variable LIBS, not to LDFLAGS

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Jan 2022 14:59:43 +0100

kismet (2022.01.R2-0kali2) kali-dev; urgency=medium

  * Add -latomic for armel build

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Jan 2022 15:58:46 +0100

kismet (2022.01.R2-0kali1) kali-dev; urgency=medium

  * New upstream version 2022.01.R2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Jan 2022 08:50:10 +0100

kismet (2022.01.R1-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with tabs to spaces
  * Add Uploaders
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

  [ Sophie Brun ]
  * New upstream version 2022.01.R1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Jan 2022 13:31:02 +0100

kismet (2021.08.R1-0kali1) kali-dev; urgency=medium

  * New upstream version 2021.08.R1
  * Add new binary package python3-kismetcapturebtgeiger

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Aug 2021 09:06:14 +0200

kismet (2021.06.R1-0kali1) kali-dev; urgency=medium

  * New upstream version 2021.06.R1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Jun 2021 08:26:21 +0200

kismet (2021.05.R1-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Update debian/source/lintian-overrides
  * Add ignore lintian errors in kismet-logtools
  * New upstream version 2021.05.R1
  * Refresh patches
  * Add new packages kismet-capture-nrf-52840 and kismet-capture-rz-killerbee
  * Bump Standards-Version to 4.5.1

  [ Arnaud Rebillout ]
  * Configure gbp import-dsc for a Debian-derived package

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 May 2021 11:43:00 +0200

kismet (2020.12.R3-0kali2) kali-dev; urgency=medium

  * Revert "Do not embed truetype font": icons are not displayed on Firefox

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Feb 2021 18:43:39 +0100

kismet (2020.12.R3-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update renamed lintian tag names in lintian overrides.

  [ Sophie Brun ]
  * New upstream version 2020.12.R3
  * Add missing build-dep: libwebsockets-dev
  * Do not embed truetype font

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Dec 2020 14:37:53 +0100

kismet (2020.09.R4-0kali1) kali-dev; urgency=medium

  * New upstream version 2020.09.R4

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Sep 2020 09:21:05 +0200

kismet (2020.09.R3-0kali1) kali-dev; urgency=medium

  * New upstream version 2020.09.R3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Sep 2020 11:17:56 +0200

kismet (2020.09.R2-0kali1) kali-dev; urgency=medium

  * New upstream version 2020.09.R2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Sep 2020 13:53:50 +0200

kismet (2020.09.R1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Sophie Brun ]
  * New upstream version 2020.09.R1
  * Refresh patches
  * Add missing depend librtlsdr0 (see 6670)
  * Add a patch to fix the indentation in Makefile
  * Fixes python3 modules installation for new release
  * Add new package kismet-capture-ubertooth-one
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Sep 2020 15:54:48 +0200

kismet (2020.04.R3-0kali2) kali-dev; urgency=medium

  * Import and adapt upstream patch for libmicrohttpd 0.97.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 05 Aug 2020 11:03:59 +0200

kismet (2020.04.R3-0kali1) kali-dev; urgency=medium

  * New upstream version 2020.04.R3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Aug 2020 18:07:28 +0200

kismet (2020.04.R2-0kali1) kali-dev; urgency=medium

  * New upstream version 2020.04.R2
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Apr 2020 15:28:53 +0200

kismet (2020.03.R1-0kali2) kali-dev; urgency=medium

  * Add superficial autopkgtest for python3 packages to avoid autogeneration
    of tests by autodep8: it fails because Python package names don't match
    with import names



=== debian/control ===
Source: kismet
Section: net
Priority: optional
Homepage: https://www.kismetwireless.net/
XSBC-Original-Maintainer: Nick Andrik <nick.andrik@gmail.com>
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
XS-Debian-Vcs-Git: https://github.com/andrikos/kismet-debian.git
XS-Debian-Vcs-Browser: https://github.com/andrikos/kismet-debian
Build-Depends:
 debhelper-compat(=12),
 dh-python,
 libbluetooth-dev [linux-any],
 libbtbb-dev,
 libcap-dev [linux-any],
 libmicrohttpd-dev,
 libncurses-dev,
 libnl-genl-3-dev [linux-any],
 libnm-dev,
 libpcap-dev,
 libpcre2-dev,
 libprotobuf-c-dev,
 libprotobuf-dev,
 libsensors-dev,
 libsqlite3-dev,
 libubertooth-dev,
 libusb-1.0-0-dev,
 libwebsockets-dev,
 libzip-dev,
 pkg-config,
 po-debconf,
 protobuf-c-compiler,
 protobuf-compiler,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2

Package: kismet
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kismet-capture-hak5-wifi-coconut,
 kismet-capture-linux-bluetooth,
 kismet-capture-linux-wifi,
 kismet-capture-nrf-51822,
 kismet-capture-nrf-52840,
 kismet-capture-nrf-mousejack,
 kismet-capture-nxp-kw41z,
 kismet-capture-rz-killerbee,
 kismet-capture-ti-cc-2531,
 kismet-capture-ti-cc-2540,
 kismet-capture-ubertooth-one,
 kismet-core,
 kismet-logtools,
 python3-kismetcapturebtgeiger,
 python3-kismetcapturefreaklabszigbee,
 python3-kismetcapturertl433,
 python3-kismetcapturertladsb,
 python3-kismetcapturertlamr,
 ${misc:Depends},
Suggests:
 gpsd,
 kismet-doc,
 kismet-plugins,
Description: wireless network and device detector (metapackage)
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This is a metapackage containing the kismet tools.

Package: kismet-core
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 festival,
 gpsd,
 kismet-capture-linux-bluetooth,
 kismet-capture-linux-wifi,
 kismet-capture-nrf-mousejack,
 kismet-doc,
 kismet-logtools,
 python3-kismetcapturefreaklabszigbee,
 python3-kismetcapturertl433,
 python3-kismetcapturertladsb,
 python3-kismetcapturertlamr,
Description: Kismet Core wireless network and device detector
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet Core.

Package: kismet-logtools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
 kismet-doc,
Description: wireless network and device detector
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet logtools.

Package: kismet-plugins
Architecture: any
Depends:
 kismet(= ${binary:Version}),
 python3-kismetexternal,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Enhances:
 kismet,
Suggests:
 spectools,
Description: wireless sniffer and monitor - plugins
 Kismet is an 802.11 layer-2 wireless network detector, sniffer, and
 intrusion detection system. It will work with any wireless card that
 supports raw monitoring (rfmon) mode, and can sniff 802.11a/b/g/n
 traffic.
 .
 It can use other programs to play audio alarms for network events,
 read out network summaries, or provide GPS coordinates.
 .
 This package provides the following extra plugins for Kismet:
  * autowep: detects the WEP key from BSSID and SSID;
  * btscan: basic scan support for the 802.15.1 (Bluetooth) protocol;
  * ptw: performs the Aircrack-NG PTW attack against captured data;
  * spectools: imports data from the spectools spectrum analyzer;
  * syslog: provides supports for alerts using standard unix syslog services.

Package: kismet-capture-hak5-wifi-coconut
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet capture helper for WiFi Coconut
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet Hak5 WiFi Coconut capture helper.

Package: kismet-capture-linux-bluetooth
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet Linux Bluetooth capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet Linux Bluetooth capture helper.

Package: kismet-capture-linux-wifi
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet Linux Wi-Fi capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet Linux Wi-Fi capture helper.

Package: kismet-capture-nrf-mousejack
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet nRF MouseJack capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet nRF MouseJack capture helper.

Package: kismet-capture-nrf-51822
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet NRF51822 BTLE Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the NRF51822 BTLE Sniffer capture helper.

Package: kismet-capture-nrf-52840
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet NRF52840 BTLE Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the NRF52840 BTLE Sniffer capture helper.

Package: kismet-capture-nxp-kw41z
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet NXP KW41Z BTLE and Zigbee Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet NXP KW41Z BTLE and Zigbee Sniffer capture
 helper.

Package: kismet-capture-rz-killerbee
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet Killerbee Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet Killerbee Sniffer capture helper.

Package: kismet-capture-ti-cc-2531
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet TICC2531 802.15.4 Zigbee Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet TICC2531 802.15.4 Zigbee Sniffer capture
 helper.

Package: kismet-capture-ti-cc-2540
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet TICC2540 BTLE Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet TICC2540 BTLE Sniffer capture helper.

Package: kismet-capture-ubertooth-one
Architecture: any
Depends:
 kismet-capture-common,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 kismet-core,
Description: Kismet Ubertooth One BT Sniffer capture helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet Ubertooth One BT Sniffer capture helper.

Package: kismet-capture-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: Kismet Capture common helper
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the debconf files for setuid capture binaries.

Package: python3-kismetcapturebtgeiger
Architecture: all
Section: python
Depends:
 python3-bluepy,
 ${misc:Depends},
 ${python3:Depends},
 python3-websockets,
Suggests:
 kismet-core,
Description: Kismet BTLE geiger datasource
 Kismet is a wireless network and device detector, sniffer, wardriving tool,
 and WIDS (wireless intrusion detection) framework.
 .
 Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
 defined radio) hardware like the RTLSDR, and other specialized capture
 hardware.
 .
 This package contains the Kismet BLTE geiger datasource.

Package: python3-kismetcapturefreaklabszigbee
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-websockets,
 python-kismetcapturefreaklabszigbee,
Conflicts:
 python-kismetcapturefreaklabszigbee,
Suggests:
 kismet-core,
Description: Kismet Freaklabs Zigbee datasource

## kismet 2023.07.R2

=== debian/changelog ===
kismet (2023.07.R2-0kali2) kali-dev; urgency=medium

  * Refresh patches
  * Add a patch to fix kismet_cap_sdr_rtlamr

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 May 2025 16:31:29 +0200

kismet (2023.07.R2-0kali1) kali-dev; urgency=medium

  * New upstream version 2023.07.R2
  * Update standards version to 4.7.0, no changes needed
  * Add Rules-Requires-Root: binary-targets
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 28 Mar 2025 15:24:21 -0500

kismet (2023.07.R1-0kali6) kali-dev; urgency=medium

  * Install systemd unit in /usr/lib instead of /lib
  * Bump debhelper-compat to 13

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Sep 2024 11:50:33 +0700

kismet (2023.07.R1-0kali5) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Bump dependency BACK: librtlsdr2 -> librtlsdr0

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 07 May 2024 14:45:18 +0700

kismet (2023.07.R1-0kali4) kali-dev; urgency=medium

  * Add upstream patch to fix a typo

 -- Steev Klimaszewski <steev@kali.org>  Mon, 18 Dec 2023 09:57:30 -0600

kismet (2023.07.R1-0kali3) kali-dev; urgency=medium

  * Add upstream patches for new version of librtlsdr
  * Bump dependency: librtlsdr0 -> librtlsdr2

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 15 Dec 2023 08:18:56 +0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: optional
 Homepage: https://www.kismetwireless.net/
 XSBC-Original-Maintainer: Nick Andrik <nick.andrik@gmail.com>
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Devon Kearns <dookie@kali.org>,
+ Mati Aharoni <muts@kali.org>,
+ Sophie Brun <sophie@offensive-security.com>,
 XS-Debian-Vcs-Git: https://github.com/andrikos/kismet-debian.git
 XS-Debian-Vcs-Browser: https://github.com/andrikos/kismet-debian
+Vcs-Git: https://gitlab.com/kalilinux/packages/kismet.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/kismet
 Build-Depends:
- debhelper-compat(=12),
+ debhelper-compat (= 13),
  dh-python,
  libbluetooth-dev [linux-any],
  libbtbb-dev,
@@ -17,7 +22,7 @@
  libncurses-dev,
  libnl-genl-3-dev [linux-any],
  libnm-dev,
- libpcap-dev,
+ libpcap0.8-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
  libprotobuf-dev,
@@ -27,13 +32,14 @@
  libusb-1.0-0-dev,
  libwebsockets-dev,
  libzip-dev,
- pkg-config,
+ pkgconf,
  po-debconf,
  protobuf-c-compiler,
  protobuf-compiler,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+Rules-Requires-Root: binary-targets
 
 Package: kismet
 Architecture: any
@@ -78,6 +84,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  festival,
  gpsd,
@@ -105,6 +115,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
  kismet-doc,
@@ -152,6 +166,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet capture helper for WiFi Coconut
@@ -170,6 +188,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet Linux Bluetooth capture helper
@@ -188,6 +210,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet Linux Wi-Fi capture helper
@@ -206,6 +232,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet nRF MouseJack capture helper
@@ -224,6 +254,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet NRF51822 BTLE Sniffer capture helper
@@ -260,6 +294,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet NXP KW41Z BTLE and Zigbee Sniffer capture helper
@@ -297,6 +335,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet TICC2531 802.15.4 Zigbee Sniffer capture helper
@@ -316,6 +358,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet TICC2540 BTLE Sniffer capture helper
@@ -334,6 +380,10 @@
  kismet-capture-common,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Suggests:
  kismet-core,
 Description: Kismet Ubertooth One BT Sniffer capture helper
@@ -351,46 +401,9 @@
 Depends:
  adduser,
  ${misc:Depends},
+Breaks:
+ kismet (<< 2019.07.R2-0kali3),
+Replaces:
+ kismet (<< 2019.07.R2-0kali3),
 Description: Kismet Capture common helper
  Kismet is a wireless network and device detector, sniffer, wardriving tool,
- and WIDS (wireless intrusion detection) framework.
- .
- Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
- defined radio) hardware like the RTLSDR, and other specialized capture
- hardware.
- .
- This package contains the debconf files for setuid capture binaries.
-
-Package: python3-kismetcapturebtgeiger
-Architecture: all
-Section: python
-Depends:
- python3-bluepy,
- ${misc:Depends},
- ${python3:Depends},
- python3-websockets,
-Suggests:
- kismet-core,
-Description: Kismet BTLE geiger datasource
- Kismet is a wireless network and device detector, sniffer, wardriving tool,
- and WIDS (wireless intrusion detection) framework.
- .
- Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software
- defined radio) hardware like the RTLSDR, and other specialized capture
- hardware.
- .
- This package contains the Kismet BLTE geiger datasource.
-
-Package: python3-kismetcapturefreaklabszigbee
-Architecture: all
-Section: python
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- python3-websockets,
- python-kismetcapturefreaklabszigbee,
-Conflicts:
- python-kismetcapturefreaklabszigbee,
-Suggests:
- kismet-core,
-Description: Kismet Freaklabs Zigbee datasource

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
    export LIBS=-Wl,--as-needed -latomic -Wl,--no-as-needed
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	# duplicate the kismet-capture-common-debconf-helper in
	# kismet-capture-common.config: when .config is called the
	# kismet-capture-common-debconf-helper file is not installed
	# (error during upgrade)
	cp debian/kismet-capture-common-debconf-helper debian/kismet-capture-common.config
	dh_auto_configure -- --sysconfdir=/etc/kismet --enable-btgeiger

override_dh_auto_build:
	dh_auto_build -- all-with-plugins

override_dh_auto_install:
	dh_auto_install --no-parallel -Xpycache -- suidinstall all-plugins-install

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Test-Command: debian/tests/basic-test.sh test_install_python3_kismetcapturefreaklabszigbee
Depends: python3-kismetcapturefreaklabszigbee, python3-all
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/basic-test.sh test_install_python3_kismetcapturertl433
Depends: python3-kismetcapturertl433, python3-all
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/basic-test.sh test_install_python3_kismetcapturertladsb
Depends: python3-kismetcapturertladsb, python3-all
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/basic-test.sh test_install_python3_kismetcapturertlamr
Depends: python3-kismetcapturertlamr, python3-all
Restrictions: allow-stderr, superficial

## kismet 2025.09.R1

=== plugin-dashboard/Makefile ===
# Our plugin directory name when we install
PLUGIN_NAME ?= dashboard

# Look for the kismet source in /usr/src/kismet by default
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

-include $(KIS_SRC_DIR)/Makefile.inc

INSTALL ?= install

BLDHOME	= .
top_builddir = $(BLDHOME)

plugindir ?= $(shell pkg-config --variable=plugindir kismet)
ifeq ("$(plugindir)", "")
	plugindir := "/usr/local/lib/kismet/"
	plugindirgeneric := 1
endif

# As we have no live code, all we need is the manifest.conf to "compile"
all:	manifest.conf

# We have no requirements for install or userinstall, we just copy our data
install:
ifeq ("$(plugindirgeneric)", "1")
	@echo "No kismet install found in pkgconfig, assuming /usr/local"
endif

	mkdir -p $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 444 manifest.conf $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)/manifest.conf

	mkdir -p $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)/httpd
	cp -r httpd/* $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)/httpd

userinstall:
	@echo "Installing to this users home directory (${HOME})"

	mkdir -p ${HOME}/.kismet/plugins/$(PLUGIN_NAME)
	$(INSTALL) manifest.conf $(HOME)/.kismet/plugins/$(PLUGIN_NAME)/manifest.conf

	mkdir -p ${HOME}/.kismet/plugins/$(PLUGIN_NAME)/httpd
	cp -r httpd/* $(HOME)/.kismet/plugins/${PLUGIN_NAME}/httpd

clean:
	@echo "Nothing to clean"

=== plugin-demo-webonly/Makefile ===
# Our plugin directory name when we install
PLUGIN_NAME ?= demoweb

# Look for the kismet source in /usr/src/kismet by default
KIS_SRC_DIR ?= /usr/src/kismet
KIS_INC_DIR ?= $(KIS_SRC_DIR)

include $(KIS_SRC_DIR)/Makefile.inc

BLDHOME	= .
top_builddir = $(BLDHOME)

# As we have no live code, all we need is the manifest.conf to "compile"
all:	manifest.conf

# We have no requirements for install or userinstall, we just copy our data
install:
	mkdir -p $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)
	$(INSTALL) -o $(INSTUSR) -g $(INSTGRP) -m 444 manifest.conf $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)/manifest.conf

	mkdir -p $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)/httpd
	cp -r httpd/* $(DESTDIR)/$(plugindir)/$(PLUGIN_NAME)/httpd

userinstall:
	mkdir -p ${HOME}/.kismet/plugins/$(PLUGIN_NAME)
	$(INSTALL) manifest.conf $(HOME)/.kismet/plugins/$(PLUGIN_NAME)/manifest.conf

	mkdir -p ${HOME}/.kismet/plugins/$(PLUGIN_NAME)/httpd
	cp -r httpd/* $(HOME)/.kismet/plugins/${PLUGIN_NAME}/httpd

clean:
	@echo "Nothing to clean"

=== debian/changelog ===
kismet (2025.09.R1-0kali3) kali-experimental; urgency=medium

  * Add missing deps kismet-capture-* to kismet
  * Update autopkgtest

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Sep 2025 09:35:41 +0200

kismet (2025.09.R1-0kali2) kali-experimental; urgency=medium

  * Fix name package kismet-capture-rtladsb

 -- Sophie Brun <sophie@kali.org>  Mon, 15 Sep 2025 12:20:46 +0200

kismet (2025.09.R1-0kali1) kali-experimental; urgency=medium

  * Update my email
  * New upstream version 2025.09.R1
  * Refresh patches
  * Fix patch dont-install-for-suidgroup.patch
  * Fix debian/copyright
  * Update build
  * Remove inactive uploaders
  * Bump Standards-Version to 4.7.2

 -- Sophie Brun <sophie@kali.org>  Fri, 12 Sep 2025 10:31:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,26 @@
 XSBC-Original-Maintainer: Nick Andrik <nick.andrik@gmail.com>
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
- Devon Kearns <dookie@kali.org>,
- Mati Aharoni <muts@kali.org>,
- Sophie Brun <sophie@offensive-security.com>,
+ Sophie Brun <sophie@kali.org>,
 XS-Debian-Vcs-Git: https://github.com/andrikos/kismet-debian.git
 XS-Debian-Vcs-Browser: https://github.com/andrikos/kismet-debian
 Vcs-Git: https://gitlab.com/kalilinux/packages/kismet.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kismet
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ libbladerf-dev,
  libbluetooth-dev [linux-any],
  libbtbb-dev,
  libcap-dev [linux-any],
  libmicrohttpd-dev,
+ libmosquitto-dev,
  libncurses-dev,
  libnl-genl-3-dev [linux-any],
  libnm-dev,
  libpcap0.8-dev,
  libpcre2-dev,
- libprotobuf-c-dev,
- libprotobuf-dev,
+ librtlsdr-dev,
  libsensors-dev,
  libsqlite3-dev,
  libubertooth-dev,
@@ -34,11 +33,7 @@
  libzip-dev,
  pkgconf,
  po-debconf,
- protobuf-c-compiler,
- protobuf-compiler,
- python3-all,
- python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 
 Package: kismet
@@ -46,6 +41,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
+ kismet-capture-antsdr-droneid,
  kismet-capture-hak5-wifi-coconut,
  kismet-capture-linux-bluetooth,
  kismet-capture-linux-wifi,
@@ -59,11 +55,11 @@
  kismet-capture-ubertooth-one,
  kismet-core,
  kismet-logtools,
- python3-kismetcapturebtgeiger,
- python3-kismetcapturefreaklabszigbee,
- python3-kismetcapturertl433,
- python3-kismetcapturertladsb,
- python3-kismetcapturertlamr,
+ kismet-capture-freaklabs-zigbee,
+ kismet-capture-radiacode-usb,
+ kismet-capture-serial-radview,
+ kismet-capture-rtl433,
+ kismet-capture-rtladsb,
  ${misc:Depends},
 Suggests:
  gpsd,
@@ -96,10 +92,9 @@
  kismet-capture-nrf-mousejack,
  kismet-doc,
  kismet-logtools,
- python3-kismetcapturefreaklabszigbee,
- python3-kismetcapturertl433,
- python3-kismetcapturertladsb,
- python3-kismetcapturertlamr,
+ kismet-capture-freaklabs-zigbee,
+ kismet-capture-rtl433,
+ kismet-capture-rtladsb,
 Description: Kismet Core wireless network and device detector
  Kismet is a wireless network and device detector, sniffer, wardriving tool,
  and WIDS (wireless intrusion detection) framework.
@@ -407,3 +402,6 @@
  kismet (<< 2019.07.R2-0kali3),
 Description: Kismet Capture common helper
  Kismet is a wireless network and device detector, sniffer, wardriving tool,
+ and WIDS (wireless intrusion detection) framework.
+ .
+ Kismet works with Wi-Fi interfaces, Bluetooth interfaces, some SDR (software

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	# kismet-capture-common-debconf-helper file is not installed
 	# (error during upgrade)
 	cp debian/kismet-capture-common-debconf-helper debian/kismet-capture-common.config
-	dh_auto_configure -- --sysconfdir=/etc/kismet --enable-btgeiger
+	dh_auto_configure -- --sysconfdir=/etc/kismet --enable-wifi-coconut --enable-bladerf
 
 override_dh_auto_build:
 	dh_auto_build -- all-with-plugins

=== debian/tests/control ===
Test-Command: debian/tests/basic-test.sh test_kismet_capture_packages
Depends: kismet, sudo
Restrictions: allow-stderr, superficial, needs-root

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./g;s/.BETA/~beta/" \
 https://www.kismetwireless.net/code/kismet-([R0-9-]+.*)\.tar\.[gx]z  debian uupdate
